<?php

function painting_contractor_remove_customize_register() {
    global $wp_customize;
    $wp_customize->remove_section( 'construction_hub_color_option' );
    $wp_customize->remove_section( 'construction_hub_pro_documentation' );
    $wp_customize->remove_section( 'construction_hub_about_section' );
}
add_action( 'customize_register', 'painting_contractor_remove_customize_register', 11 );

function painting_contractor_customize_register( $wp_customize ) {

    //Social Media
    $wp_customize->add_section( 'painting_contractor_social_media', array(
        'title'      => __( 'Social Media Links', 'painting-contractor' ),
        'priority' => 50,
        'description' => __( 'Add your Social Links', 'painting-contractor' ),
        'panel' => 'construction_hub_panel_id'
    ) );

    $wp_customize->add_setting('painting_contractor_facebook_url',array(
        'default'=> '',
        'sanitize_callback' => 'esc_url_raw'
    )); 
    $wp_customize->add_control('painting_contractor_facebook_url',array(
        'label' => __('Facebook Link','painting-contractor'),
        'section'=> 'painting_contractor_social_media',
        'type'=> 'url'
    ));

    $wp_customize->add_setting('painting_contractor_twitter_url',array(
        'default'=> '',
        'sanitize_callback' => 'esc_url_raw'
    )); 
    $wp_customize->add_control('painting_contractor_twitter_url',array(
        'label' => __('Twitter Link','painting-contractor'),
        'section'=> 'painting_contractor_social_media',
        'type'=> 'url'
    ));

    $wp_customize->add_setting('painting_contractor_instagram_url',array(
        'default'=> '',
        'sanitize_callback' => 'esc_url_raw'
    )); 
    $wp_customize->add_control('painting_contractor_instagram_url',array(
        'label' => __('Instagram Link','painting-contractor'),
        'section'=> 'painting_contractor_social_media',
        'type'=> 'url'
    ));

    $wp_customize->add_setting('painting_contractor_youtube_url',array(
        'default'=> '',
        'sanitize_callback' => 'esc_url_raw'
    )); 
    $wp_customize->add_control('painting_contractor_youtube_url',array(
        'label' => __('YouTube Link','painting-contractor'),
        'section'=> 'painting_contractor_social_media',
        'type'=> 'url'
    ));

    $wp_customize->add_setting('painting_contractor_pint_url',array(
        'default'=> '',
        'sanitize_callback' => 'esc_url_raw'
    )); 
    $wp_customize->add_control('painting_contractor_pint_url',array(
        'label' => __('Pinterest Link','painting-contractor'),
        'section'=> 'painting_contractor_social_media',
        'type'=> 'url'
    ));

    //Projects
    $wp_customize->add_section('painting_contractor_projects',array(
        'title' => __('Projects Section','painting-contractor'),
        'panel' => 'construction_hub_panel_id',
    ));

    $wp_customize->add_setting('painting_contractor_projetcs_main_text',array(
        'default'=> '',
        'sanitize_callback' => 'sanitize_text_field'
    )); 
    $wp_customize->add_control('painting_contractor_projetcs_main_text',array(
        'label' => esc_html__('Section Heading Text','painting-contractor'),
        'section'=> 'painting_contractor_projects',
        'type'=> 'text'
    ));

    $wp_customize->add_setting('painting_contractor_projetcs_main_heading',array(
        'default'=> '',
        'sanitize_callback' => 'sanitize_text_field'
    )); 
    $wp_customize->add_control('painting_contractor_projetcs_main_heading',array(
        'label' => esc_html__('Section Heading','painting-contractor'),
        'section'=> 'painting_contractor_projects',
        'type'=> 'text'
    ));

    $wp_customize->add_setting('painting_contractor_projetcs_btn_text',array(
        'default'=> '',
        'sanitize_callback' => 'sanitize_text_field'
    )); 
    $wp_customize->add_control('painting_contractor_projetcs_btn_text',array(
        'label' => esc_html__('Section Button Text','painting-contractor'),
        'section'=> 'painting_contractor_projects',
        'type'=> 'text'
    ));

    $wp_customize->add_setting('painting_contractor_projetcs_btn_url',array(
        'default'=> '',
        'sanitize_callback' => 'sanitize_text_field'
    )); 
    $wp_customize->add_control('painting_contractor_projetcs_btn_url',array(
        'label' => esc_html__('Section Button Url','painting-contractor'),
        'section'=> 'painting_contractor_projects',
        'type'=> 'text'
    ));

    $categories = get_categories();
        $cat_posts = array();
            $i = 0;
            $cat_posts[]='Select';
        foreach($categories as $category){
            if($i==0){
            $default = $category->slug;
            $i++;
        }
        $cat_posts[$category->slug] = $category->name;
    }

    $wp_customize->add_setting('painting_contractor_projetcs_category',array(
        'default'   => 'select',
        'sanitize_callback' => 'painting_contractor_sanitize_choices',
    ));
    $wp_customize->add_control('painting_contractor_projetcs_category',array(
        'type'    => 'select',
        'choices' => $cat_posts,
        'label' => __('Select Category to display projects','painting-contractor'),
        'section' => 'painting_contractor_projects',
    ));
}
add_action( 'customize_register', 'painting_contractor_customize_register' );